
QGIS Application - Bug report #875

crash when saving to shapefile PostGIS layer with missing geoms

2007-12-16 11:57 PM - pcavallini -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10934

Description

When saving as shapefile a postgis layer, we get:

/qgis-0.9~svn20071216/src/core/qgsvectorfilewriter.cpp:176: OGRGeometry*

[[QgsVectorFileWriter]]::createEmptyGeometry(QGis::WKBTYPE): Asserzione @0 && "invalid WKB type"' fallita.

and qgis crashes.

This happens when some record does not have a geometry.

History

#1 - 2007-12-17 02:44 AM - Martin Dobias

What is the expected behaviour? Ignore records without geometry?

Martin

#2 - 2008-03-28 12:04 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

looks like #957

#3 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted

2025-04-27 1/1


